Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456509 - Update to 1.2.0 for DirectFB
Summary: Update to 1.2.0 for DirectFB
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: directfb
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 09:51 UTC by Nicolas Chauvet (kwizart)
Modified: 2008-10-28 08:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-28 08:53:50 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2008-07-24 09:51:04 UTC
Description of problem: DirecFB can be updated to 1.2.0
As always with directdb, this update will break SONAME linking dependencies as
they introducted a -release field at library creation.
-release tag was unneeded in my view, since there is no ABI break since 1.0
At least Iv'e created a package with the release field downgraded to the one in
F-8. 
http://rpms.kwizart.net/fedora/testing/8/i386/directfb-1.2.0-1.fc8.kwizart.i386.rpm
And every package linked at built time with 1.0 worked with 1.2 used at runtime.

Version-Release number of selected component (if applicable): directfb package
in Rawhide


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
directfb isn't updated to lastest.

Expected results:
update to lastest.

Additional info:
We may choose to remove the -release tag at library creation. Or stay will this
scheme the release field scheme.
This update will need to be announced in fedora-devel

The linux-fusion package will be needed to have --enable-multi. This kernel
module isn't aimed to be merged in the kernel anytime soon. (kernel maintainers
don't want to maintain many graphic interface).
If needed we may have fusion.h bundled within directfb or use a directfb-fusion
replacement package elsewhere (which permit out of tree kernel modules).
I'm currently testing the linux-fusion module with directfb 1.2 in F-8...

Comment 1 Nicolas Chauvet (kwizart) 2008-09-02 14:12:28 UTC
Someone plan to take care of this one ?
I can prepare a spec file if needed (along with the usual warning on fedora-devel ml)

Comment 2 Nicolas Chauvet (kwizart) 2008-09-29 16:39:57 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=850034
The new 1.2.6 version failed on ppc/ppc64
I think the ppc asm specifics functions needs to be deactivated.

SPEC: http://kwizart.fedorapeople.org/SPECS/directfb-1.2.0.spec
SRPM: http://kwizart.fedorapeople.org/SRPMS/directfb-1.2.6-1.fc8.kwizart.src.rpm
for now the package will fails on ppc/ppc64

Comment 3 Nicolas Chauvet (kwizart) 2008-10-20 21:39:59 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=891544
This one has ppcasm disabled, so it works for all our packages

SPEC: http://kwizart.fedorapeople.org/SPECS/directfb.spec
SRPM:
http://kwizart.fedorapeople.org/SRPMS/directfb-1.2.6-2.fc8.kwizart.src.rpm
This version has the "SO release" downgraded. (so I can do runtime tests on my F-8 X-less server - and do rpmsodiffs ). But I will remove the so_downgrade patch

My plan is to request cvs commit on Rawhide. Warn the list about ABI bump (no API changes, but I will have a more indeed search), and provide the list with known dependencies for directfb in Rawhide. Then I will mock test them on Rawhide x86_64 and update directfb; which haven't been updated since few Fedora release.

Comment 4 Nicolas Chauvet (kwizart) 2008-10-22 00:48:48 UTC
Actually there is few packages requiring libdirectfb-1.0.so.0
Here they are:
xine-lib-extras
gstreamer-plugins-bad
vlc-core.

I hope to have the rebuilt done before this week end.

The current problem with directfb is that I cannot make it to work with my viafb X-less server. updating to a later version prevented it to crash.

Comment 5 Nicolas Chauvet (kwizart) 2008-10-23 11:42:09 UTC
Package updated to 1.2.6
http://koji.fedoraproject.org/koji/taskinfo?taskID=897621

As usual, it will be available in, let's say one hour from now for xine-lib.
Rebuilt of the dependents packages have been tested, so we are on the safe side with this update.


Note You need to log in before you can comment on or make changes to this bug.